## peg-e 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(peg-e VERSION 1.3.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
	add_compile_definitions(
		QT_STRICT_ITERATORS
		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
		QT_DISABLE_DEPRECATED_BEFORE=0x060000
	)
endif()

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(peg-e
	src/board.cpp
	src/hole.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/movement.cpp
	src/peg.cpp
	src/puzzle.cpp
	src/window.cpp
	${translations_QM}
)

target_link_libraries(peg-e PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

target_compile_definitions(peg-e PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Install
if(UNIX AND NOT APPLE)
	target_sources(peg-e PRIVATE icons/icon.qrc)

	install(TARGETS peg-e RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/peg-e/translations)
	install(FILES doc/peg-e.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(DIRECTORY icons/oxygen/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/peg-e/icons)
	install(FILES icons/peg-e.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/peg-e.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(peg-e PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Peg elimination game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "Peg-E"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/peg-e.ico
	)
	_qt_internal_generate_win32_rc_file(peg-e)
endif()

## peg-e 1.1.2

=== debian/changelog ===
peg-e (1.1.2-1ubuntu2) trusty; urgency=medium

  * Rebuild in the correct landing PPA.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 21:07:53 +0200

peg-e (1.1.2-1ubuntu1) trusty; urgency=medium

  * Rebuild against Qt 5.2.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 09:08:05 +0200

peg-e (1.1.2-1) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
  * Create debian/watch, debian/peg-e.manpages, debian/source/format
  * Create debian/peg-e.menu. Closes: #726850
  * debian/control:
    - Switch to Qt5 B-deps
    - Use debhelper 9
    - Drop B-dep on dh-buildinfo, it is near pointless
  * Use DEP5 copyright
  * debian/rules: Install binary to usr/games

  [ Vincent Cheng ]
  * Update debian/copyright to include full GPL-3+ license header.
  * Update to Standards version 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 28 Feb 2014 02:59:41 -0800

peg-e (1.1.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #513535)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 10 May 2009 21:03:09 +0200

=== debian/control ===
Source: peg-e
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 9), qt5-default, qtbase5-dev
Standards-Version: 3.9.5
Homepage: http://gottcode.org/peg-e/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/

Package: peg-e
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: peg elimination solitaire game
 Peg-E is a peg solitaire game in which you jump over pieces in order to
 remove them from the board, ultimately trying to eliminate all but one.
 The boards are randomly generated, with 100 levels of difficulty. The game
 auto-saves, and has undo-redo capability. Pieces can move horizontally,
 vertically, and diagonally.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

## peg-e 1.2.1

=== debian/changelog ===
peg-e (1.2.1-0mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  
 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 15 Oct 2015 12:12:45 -0700

peg-e (1.2.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sun, 25 Jan 2015 15:54:36 +0000

peg-e (1.2.0-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.2.0
    - Added support for high DPI displays.
    - Switched to C++11 random classes.
    - Removed support for Qt 4.
    - Translation updates: Czech, Dutch, German, Greek, Hebrew, Lithuanian,
      Malay, Polish, Romanian, Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 22 Jan 2015 12:43:51 +0000

peg-e (1.1.2-0ppa2~trusty1) trusty; urgency=low

  * Switch to Qt 5
  * Update copyright file

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 May 2014 16:47:26 +0000

peg-e (1.1.2-0ppa1~trusty1) trusty; urgency=low

  * Initial release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 25 Jun 2013 20:08:37 +0000

=== debian/control ===
Source: peg-e
Section: games
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9), 
 qtchooser | qt5-default,
 qtbase5-dev
Standards-Version: 3.9.3
Homepage: http://gottcode.org/peg-e/

Package: peg-e
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peg elimination solitaire game
 Peg-E is a peg solitaire game in which you jump over pieces in order to
 remove them from the board, ultimately trying to eliminate all but one.
 The boards are randomly generated, with 100 levels of difficulty. The game
 auto-saves, and has undo-redo capability. Pieces can move horizontally,
 vertically, and diagonally.

=== debian/rules ===
#!/usr/bin/make -f


export QT_SELECT=qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

override_dh_builddeb:
	dh_builddeb -- -Z xz

## peg-e 1.2.2

=== debian/changelog ===
peg-e (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Update debian/copyright.
  * Build-depend on qttools5-dev-tools to prevent a FTBFS due to missing
    lrelease command.
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Thu, 13 Oct 2016 14:39:42 +0200

peg-e (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.2.1.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Fix Lintian error: build-depends-on-metapackage and remove qt5-default from
    Build-Depends. Export QT_SELECT=qt5 in debian/rules instead.
  * debian/copyright: Add LGPL-3+ licensed files.
  * Drop debian/peg-e.6 and use upstream's man page instead.

 -- Markus Koschany <apo@debian.org>  Fri, 11 Dec 2015 21:55:40 +0100

=== debian/control ===
Source: peg-e
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>
Build-Depends:
 debhelper (>= 10),
 qtbase5-dev,
 qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: http://gottcode.org/peg-e/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/

Package: peg-e
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peg elimination solitaire game
 Peg-E is a peg solitaire game in which you jump over pieces in order to
 remove them from the board, ultimately trying to eliminate all but one.
 The boards are randomly generated, with 100 levels of difficulty. The game
 auto-saves, and has undo-redo capability. Pieces can move horizontally,
 vertically, and diagonally.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

## peg-e 1.2.3

=== debian/changelog ===
peg-e (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.3.
  * Drop deprecated menu file.
  * Declare compliance with Debian Policy 4.0.1.
  * Use https for Format field.
  * Add get-orig-source target.
  * Change package priority to optional.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 17:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: peg-e
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
@@ -8,7 +8,7 @@
  debhelper (>= 10),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://gottcode.org/peg-e/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/

## peg-e 1.2.4

=== debian/changelog ===
peg-e (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Jan 2018 16:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://gottcode.org/peg-e/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
 
+get-orig-source:
+	uscan --download-current-version --force-download

## peg-e 1.2.6

=== debian/changelog ===
peg-e (1.2.6-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10 to ease backports.
  * Disable automatic dbgsym files.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Aug 2018 13:51:33 -0700

peg-e (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.6.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Jul 2018 08:35:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-source:
 	uscan --download-current-version --force-download

## peg-e 1.2.7

=== debian/changelog ===
peg-e (1.2.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:39 +0100

peg-e (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.7.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 12 Aug 2019 01:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: http://gottcode.org/peg-e/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/
+Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
+Vcs-Browser: https://salsa.debian.org/games-team/peg-e
 
 Package: peg-e
 Architecture: any

## peg-e 1.2.8

=== debian/changelog ===
peg-e (1.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.8.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sat, 30 May 2020 00:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

=== debian/watch ===
version=3
https://github.com/gottcode/peg-e/releases \
.*[^n]/(?:|v|r|REL_|rel-|peg-e(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## peg-e 1.3.0

=== debian/changelog ===
peg-e (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Drop peg-e.install, and peg-e.manpages that install the desktop file, the
    executable, and the man page manually, as the upstream build system already
    installs them properly.

  [ Markus Koschany ]
  * New upstream version 1.3.0.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Oct 2021 23:09:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games

## peg-e 1.3.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(peg-e VERSION 1.3.2 LANGUAGES CXX)

set(project_copyright "2009-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(peg-e
	src/board.cpp
	src/hole.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/movement.cpp
	src/peg.cpp
	src/puzzle.cpp
	src/window.cpp
	${translations_QM}
)

target_link_libraries(peg-e PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(peg-e PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET peg-e
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:peg-e>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(peg-e PROPERTIES
		OUTPUT_NAME Peg-E
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(peg-e ${CMAKE_SOURCE_DIR}/icons/peg-e.icns Resources)
	bundle_data(peg-e ${CMAKE_SOURCE_DIR}/icons/oxygen/hicolor Resources/icons)
	bundle_translations(peg-e "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(peg-e PROPERTIES
		OUTPUT_NAME Peg-E
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Peg elimination game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "Peg-E"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/peg-e.ico
	)
	_qt_internal_generate_win32_rc_file(peg-e)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/peg-e)

	target_sources(peg-e PRIVATE icons/icon.qrc)

	install(TARGETS peg-e RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/peg-e/translations)
	install(FILES doc/peg-e.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(DIRECTORY icons/oxygen/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/peg-e/icons)
	install(FILES icons/peg-e.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/peg-e.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS PEGE_DATADIR="${datadir}")

=== debian/changelog ===
peg-e (1.3.2-1build3) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:33:36 +0200

peg-e (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:40 +1100

peg-e (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:52 +0000

peg-e (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.2
  * Switch to Qt6 & cmake.

  [ Reiner Herrmann ]
  * Fix watch file and update to version 4

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no more changes needed.
  * Add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Dec 2023 23:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: peg-e
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
  debhelper-compat (= 13),
- qtbase5-dev,
- qttools5-dev-tools
-Standards-Version: 4.6.0
-Homepage: http://gottcode.org/peg-e/
+ cmake,
+ qt6-base-dev,
+ qt6-tools-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=/usr/games/

=== debian/watch ===
version=4
https://github.com/gottcode/peg-e/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## peg-e 1.3.5

=== debian/changelog ===
peg-e (1.3.5-1) unstable; urgency=medium

  * Team Upload
  * Update Miriam email address
  * Bring back missing tools

  [ Patrice Duroux ]
  * d/watch: version 5
  * d/gbp.conf: added with pristine.
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * New upstream version 1.3.5
  * d/copyright: bump year.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 Jan 2026 14:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: peg-e
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Miriam Ruiz <little_miry@yahoo.es>
+ Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  qt6-base-dev,
  qt6-tools-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e

=== debian/watch ===
Version: 5

Template: GitHub
Owner: gottcode
Project: peg-e
